#!/bin/sh
#
#	$Csoft: dist.sh,v 1.17 2004/03/13 09:26:44 vedge Exp $
#	Public domain

NAME=mailprocd
VER=`perl mk/get-version.pl`
REL=`perl mk/get-release.pl`
PHASE=stable
DISTFILE=${NAME}-${VER}
HOST=resin.csoft.net
RUSER=vedge
MAILER="sendmail -t"
LIST_EN="${NAME}-announce@lists.csoft.net"
LIST_FR="${NAME}-announce-fr@lists.csoft.net"
HOMEPAGE="http://hypertriton.com/${NAME}/"

echo "Packaging ${NAME}-${VER} (${REL})"

cd ..
rm -fr ${NAME}-${VER}
cp -fRp ${NAME} ${NAME}-${VER}
rm -fR `find ${NAME}-${VER} \( -name .svn \
    -or -name \*~ \
    -or -name \*.o \
    -or -name \*.a \
    -or -name \*.core \
    -or -name .\*.swp \
    -or -name .depend \
    -or -name .xvpics \)`

tar -f ${DISTFILE}.tar -c ${NAME}-${VER}
gzip -f ${DISTFILE}.tar
openssl md5 ${DISTFILE}.tar.gz > ${DISTFILE}.tar.gz.md5
openssl rmd160 ${DISTFILE}.tar.gz >> ${DISTFILE}.tar.gz.md5
openssl sha1 ${DISTFILE}.tar.gz >> ${DISTFILE}.tar.gz.md5
gpg -ab ${DISTFILE}.tar.gz

if [ "$1" = "commit" ]; then
	echo "uploading"
	scp -C ${DISTFILE}.{tar.gz,tar.gz.md5,tar.gz.asc} ${RUSER}@${HOST}:www/$PHASE.csoft.org/${NAME}

	echo "notifying $LIST_EN"
	TMP=`mktemp /tmp/${NAME}announceXXXXXXXX`
	cat > $TMP << EOF
From: Julien Nadeau <vedge@csoft.org>
To: ${LIST_EN}
Subject: ${NAME}-${VER} (${REL}) released
X-Mailer: dist.sh
X-PGP-Key: 206C63E6

We are pleased to announce the official release of ${NAME} ${VER}
(${REL}).

It is now available for download from ${PHASE}.csoft.org.

	http://$PHASE.csoft.org/${NAME}/${NAME}-$VER.tar.gz
	http://$PHASE.csoft.org/${NAME}/${NAME}-$VER.tar.gz.asc
	http://$PHASE.csoft.org/${NAME}/${NAME}-$VER.tar.gz.md5

Binary packages are also available from the ${NAME} website:

	${HOMEPAGE}/download.html

Your comments, suggestions and bug reports are most welcome.
EOF
	cat $TMP | ${MAILER}

	echo "notifying $LIST_FR"
	TMP=`mktemp /tmp/${NAME}announceXXXXXXXX`
	cat > $TMP << EOF
From: Julien Nadeau <vedge@csoft.org>
To: ${LIST_FR}
Subject: Sortie: ${NAME} ${VER} (${REL})
X-Mailer: announce.sh
X-PGP-Key: 206C63E6

Il me fait plaisir d'annoncer la sortie officielle de ${NAME} ${VER}
(${REL}).

La distribution source est téléchargable à partir de ${PHASE}.csoft.org:

	http://$PHASE.csoft.org/${NAME}/${NAME}-$VER.tar.gz
	http://$PHASE.csoft.org/${NAME}/${NAME}-$VER.tar.gz.asc
	http://$PHASE.csoft.org/${NAME}/${NAME}-$VER.tar.gz.md5

Des paquets binaires sont également disponibles sur le site de ${NAME}:

	${HOMEPAGE}/download.html

Vos commentaires, suggestions et signalements de bogues sont, comme
toujours, fortement appréciés.
EOF
	cat $TMP | ${MAILER}
	rm -f $TMP
fi

echo "*******************************************************"
echo "TODO: Update http://sourceforge.net/projects/mailprocd/"
echo "TODO: Update http://freshmeat.net/projects/mailprocd/"
echo "*******************************************************"
