/*	Public domain	*/

#define QMGR_ID_MAX	12

typedef struct qmgr_worker {
	uid_t uid;
	gid_t gid;
	pid_t pid;
	int pipe;
	TAILQ_ENTRY(qmgr_worker) workers;
} QMGR_Worker;

typedef struct qmgr_metadata {
	uid_t uid;			/* UID of recipient */
	gid_t gid;			/* GID of recipient */
	char qid[QMGR_ID_MAX];		/* Message ID in active queue */
	char from[ADDRESS_MAX];		/* Envelope sender address */
	char rcpt[ADDRESS_MAX];		/* Envelope recipient address */
} PACKED_ATTRIBUTE QMGR_MetaData;

extern pid_t qmgrProc;
extern int qmgrInterval;

int	 QMGR_Init(void);
int	 QMGR_Todo(void);
void	 QMGR_Cleanup(void);
void	 QMGR_ForkInstance(void);

SF_Message *QMGR_LoadMessage(const char *, const QMGR_MetaData *);
int         QMGR_Queue(SF_Message *, SF_Recipient *, int);
int         QMGR_WorkerMain(uid_t);

